> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1images status



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/images/{image_name}/status
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/images/{image_name}/status:
    get:
      tags:
        - images
      operationId: get_image_status
      parameters:
        - name: image_name
          in: path
          description: Image name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Image status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseImageStatusResponse'
        '401':
          description: Unauthorized
        '404':
          description: Image not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    BaseImageStatusResponse:
      type: object
      required:
        - image_name
        - status
        - size_mib
      properties:
        error_message:
          type:
            - string
            - 'null'
        image_name:
          type: string
        size_mib:
          type: integer
          format: int32
        status:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````